<?php
/**
* @package      Easyway Shop
* @copyright    Copyright (C) 2005 - 2011 TA-EDV
* @license      proprietary
* @author       John T. Daly <jd@ta-edv.de>
* 
* Easyway Shop is a web e-commerce system
*/

class website_customer_login {
	
	private $base_object;
	private $layout_object;
	
	public function __construct($base_object, $layout_object) {
		$this->base_object = $base_object;
		$this->layout_object = $layout_object;
	}

	function run() {
		$customer_id = $this->base_object->customer->customer_id;
		
		if ($customer_id) {
			return $this->layout_object->_fetch('content_already_logged_in.tpl');
		}
		
		return $this->layout_object->_fetch('content_login.tpl');
	}
}